summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeff Horelick <jdhore@gentoo.org>2012-03-03 06:48:53 +0000
committerJeff Horelick <jdhore@gentoo.org>2012-03-03 06:48:53 +0000
commitf888aaa37c8fc868a4d2b81fb3016d79e1f892a5 (patch)
treeed4df5b54bea7eafb12922f47a88402568f0fa04 /net-irc/shadowircd/files
parentAdd missing patch, reported by floppym. (diff)
downloadgentoo-2-f888aaa37c8fc868a4d2b81fb3016d79e1f892a5.tar.gz
gentoo-2-f888aaa37c8fc868a4d2b81fb3016d79e1f892a5.tar.bz2
gentoo-2-f888aaa37c8fc868a4d2b81fb3016d79e1f892a5.zip
Add net-irc/shadowircd-6.3.2.1, an IRCd based on charybdis, but adds several useful features.
(Portage version: 2.2.0_alpha89/cvs/Linux i686)
Diffstat (limited to 'net-irc/shadowircd/files')
-rw-r--r--net-irc/shadowircd/files/shadowircd.confd6
-rw-r--r--net-irc/shadowircd/files/shadowircd.initd38
2 files changed, 44 insertions, 0 deletions
diff --git a/net-irc/shadowircd/files/shadowircd.confd b/net-irc/shadowircd/files/shadowircd.confd
new file mode 100644
index 000000000000..021816bde288
--- /dev/null
+++ b/net-irc/shadowircd/files/shadowircd.confd
@@ -0,0 +1,6 @@
+#!/sbin/runscript
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+# Specify any extra options to pass to shadowircd
+SHADOWIRCD_OPTS=""
diff --git a/net-irc/shadowircd/files/shadowircd.initd b/net-irc/shadowircd/files/shadowircd.initd
new file mode 100644
index 000000000000..6c5b0cd89f69
--- /dev/null
+++ b/net-irc/shadowircd/files/shadowircd.initd
@@ -0,0 +1,38 @@
+#!/sbin/runscript
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+extra_started_commands="reload"
+
+depend() {
+ use dns net
+ provide ircd
+}
+
+start() {
+ if ! [ -d /var/run/shadowircd ]; then
+ ebegin "Creating /var/run/shadowircd for ${SVCNAME}"
+ mkdir /var/run/shadowircd \
+ && chown :shadowircd /var/run/shadowircd \
+ && chmod 770 /var/run/shadowircd
+ eend $?
+ fi
+
+ ebegin "Starting ${SVCNAME}"
+ start-stop-daemon --start --exec /usr/bin/shadowircd-ircd \
+ --user shadowircd --pidfile /var/run/shadowircd/ircd.pid \
+ ${CHARYBDIS_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${SVCNAME}"
+ start-stop-daemon --stop --pidfile /var/run/shadowircd/ircd.pid
+ eend $?
+}
+
+reload() {
+ ebegin "Reloading ${SVCNAME}"
+ start-stop-daemon --signal HUP --pidfile /var/run/shadowircd/ircd.pid
+ eend $?
+}